Content Management Partner Invitations API
Introduction
A partner invitation represents a pending or completed invitation sent to another organization to establish a partnership in Product-Live. Invitations allow you to build your partner network by inviting other accounts to collaborate on shared tables and data exchanges.
The Partner Invitations API Swagger definition is available on our Product-Live API portal here.
General information
- Rate limit: 50 requests per minute
Get Partner Invitation by id
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| partnerInvitationId | string | A partner invitation id |
Request parameters
None
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'GET' \
'https://api.product-live.com/v1/partner-invitations/789' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response example
json
{
"object": "partner_invitation",
"id": "789",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-05-17T14:45:00.000Z",
"accountId": "4203",
"fromUserId": "9224",
"toAccountName": "Supplier A",
"toUserEmail": "contact@supplier-a.com",
"status": "ACCEPTED"
}1
2
3
4
5
6
7
8
9
10
11
2
3
4
5
6
7
8
9
10
11
List Partner Invitations
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| page | integer | Optional The page number to retrieve. Default value if missing : 0 |
| size | integer | Optional The number of items per page. Default value if missing : 10. Maximum : 1000 |
| sort | string | Optional The field to sort by |
| sortOrder | string | Optional The sort order: ASC or DESC |
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'GET' \
'https://api.product-live.com/v1/partner-invitations?size=10&page=0' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response example
json
{
"object": "list",
"data": [
{
"object": "partner_invitation",
"id": "789",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-05-17T14:45:00.000Z",
"accountId": "4203",
"fromUserId": "9224",
"toAccountName": "Supplier A",
"toUserEmail": "contact@supplier-a.com",
"status": "ACCEPTED"
},
{
"object": "partner_invitation",
"id": "790",
"createdAt": "2024-02-20T08:15:00.000Z",
"updatedAt": "2024-02-20T08:15:00.000Z",
"accountId": "4203",
"fromUserId": "9224",
"toAccountName": "Supplier B",
"toUserEmail": "contact@supplier-b.com",
"status": "PENDING"
}
],
"totalElements": 2
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
Find Partner Invitations
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| page | integer | Optional The page number to retrieve. Default value if missing : 0 |
| size | integer | Optional The number of items per page. Default value if missing : 10. Maximum : 1000 |
| sort | string | Optional The field to sort by |
| sortOrder | string | Optional The sort order: ASC or DESC |
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
See more details on the find request body in the dedicated page Find request.
Searchable fields
| Searchable field | Supported operator | Example |
|---|---|---|
| createdAt | greater / greaterOrEqual / lower / lowerOrEqual | {"type": "greaterOrEqual","field": "createdAt","value": "2021-09-15T13:14:41.000Z"} |
| fromUserId | eq/search/in | {"type": "eq","field": "fromUserId","value": "9224"}{"type": "search","field": "fromUserId","value": "9224"}{"type": "in","field": "fromUserId","value": ["9224"]} |
| id | eq/in | {"type": "eq","field": "id","value": "789"}{"type": "in","field": "id","value": ["789"]} |
| status | eq/in | {"type": "eq","field": "status","value": "PENDING"}{"type": "in","field": "status","value": ["PENDING"]} |
| toAccountName | eq/search/in | {"type": "eq","field": "toAccountName","value": "Supplier A"}{"type": "search","field": "toAccountName","value": "Supplier"}{"type": "in","field": "toAccountName","value": ["Supplier A"]} |
| toUserEmail | eq/search/in | {"type": "eq","field": "toUserEmail","value": "contact@supplier-a.com"}{"type": "search","field": "toUserEmail","value": "contact@supplier-a.com"}{"type": "in","field": "toUserEmail","value": ["contact@supplier-a.com"]} |
| updatedAt | greater / greaterOrEqual / lower / lowerOrEqual | {"type": "greaterOrEqual","field": "updatedAt","value": "2024-02-07T10:54:15.000Z"} |
json
{
"type": "eq",
"caseSensitive": true,
"field": "status",
"value": "PENDING"
}1
2
3
4
5
6
2
3
4
5
6
json
{
"type": "and",
"queries": [
{
"type": "eq",
"caseSensitive": true,
"field": "status",
"value": "PENDING"
},
{
"type": "search",
"caseSensitive": false,
"field": "toAccountName",
"value": "Supplier"
}
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/partner-invitations/find?size=10&page=0' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>' \
-H 'Content-Type: application/json' \
-d '{
"type": "eq",
"caseSensitive": true,
"field": "status",
"value": "PENDING"
}'1
2
3
4
5
6
7
8
9
10
11
2
3
4
5
6
7
8
9
10
11
Response example
json
{
"object": "list",
"data": [
{
"object": "partner_invitation",
"id": "790",
"createdAt": "2024-02-20T08:15:00.000Z",
"updatedAt": "2024-02-20T08:15:00.000Z",
"accountId": "4203",
"fromUserId": "9224",
"toAccountName": "Supplier B",
"toUserEmail": "contact@supplier-b.com",
"status": "PENDING"
}
],
"totalElements": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17